import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";
import { AccountProfileUnion } from "../entities/AccountProfile";

// import { FisUASRequestMessage } from "../../FisAppQueryModule/message/fis.request.message";
import { APAccountProfile,  APAccountProfileUnion } from "../entities/APAccountProfile";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";

import { AccountProfileDataService } from "./AccountProfile.dataservice";



export class APAccountProfileDataService extends AccountProfileDataService {

    // static ResponseService: FisUASRequestMessage;
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data: Record<string, any> = { "serviceId": "Account Profile Data", "parameter": "accountType=AP" };


    constructor(http: HttpService, ucpId: string, data = APAccountProfileDataService.data) {
        super(http, ucpId, data);
    }


    getData(className,filter,returnFormatType): Observable<typeof APAccountProfileUnion> {
        
            let message : Array<typeof APAccountProfileUnion> = [];
            let data: APAccountProfile[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)
    }

}