import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";

// import { FisUASRequestMessage } from "../../FisAppQueryModule/message/fis.request.message";
import { APInvoiceDocument, APInvoiceDocumentUnion } from "../entities/APInvoiceDocument";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { DocumentDataService } from "./Document.dataservice";


export class APInvoiceDocumentDataService extends DocumentDataService {
    
    // static ResponseService: FisUASRequestMessage;
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data:Record<string,any> = {"serviceId": "Document Data", "parameter": "doccategory=RC,subsystemcode=AR" };

    constructor(http: HttpService, ucpId: string, data= APInvoiceDocumentDataService.data){
        super(http,ucpId, data);
    }

    getData(className,filter,returnFormatType): Observable<typeof APInvoiceDocumentUnion> {
        
            let message : Array<typeof APInvoiceDocumentUnion> = [];
            let data: APInvoiceDocument[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)
    }
    
}