import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";

// import { FisUASRequestMessage } from "../../FisAppQueryModule/message/fis.request.message";
import { ARInvoiceDocument,  ARInvoiceDocumentUnion } from "../entities/ARInvoiceDocument";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { DocumentDataService } from "./Document.dataservice";


export class ARInvoiceDocumentDataService extends DocumentDataService {
    
    // static ResponseService: FisUASRequestMessage;
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data:Record<string,any> = {"serviceId": "Document Data", "parameter": "doccategory=IV,subsystemcode=AR" };

    constructor(http: HttpService, ucpId: string, data= ARInvoiceDocumentDataService.data){
        super(http,ucpId, data);
    }


    getData(className,filter,returnFormatType): Observable<typeof ARInvoiceDocumentUnion> {
        
            let message : Array<typeof ARInvoiceDocumentUnion> = [];
            let data: ARInvoiceDocument[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)

    }
    
}