import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";
import { LeaveHistory, LeaveHistoryUnion } from "../entities/LeaveHistory";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { CommonDataService } from "./Common.dataservice";


export class LeaveHistoryDataService extends CommonDataService {
    
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data:Record<string,any> = {"serviceId": "Leave Application Data", "parameter": "" };

    constructor(http: HttpService, ucpId: string, data= LeaveHistoryDataService.data){
        super(http,ucpId, data);
    }


    getData(className,filter,returnFormatType): Observable<typeof LeaveHistoryUnion> {
       
            let message : Array<typeof LeaveHistoryUnion> = [];
            let data: LeaveHistory[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)

    }
    
    
}