import { ArgsType, createUnionType, Field, ObjectType } from '@nestjs/graphql';
import { AccountProfile, AccountProfileMessage } from './AccountProfile';
import { AccountProfile as AccountProfileType } from '../message/fisappmessagejsutility/interface/export';
import { SummaryResponse } from './DescendentDataServiceArgument.entity';
import { StatusResponse } from './StatusResponse';


export const thisClassName = "APAccountProfileDataService";

@ObjectType()
@ArgsType() 
export class APAccountProfileMessage extends AccountProfileMessage { 

  @Field(type => [APAccountProfile]) 
  data?: APAccountProfile[];

}
@ObjectType()
@ArgsType() 
export class APAccountProfile extends AccountProfile implements AccountProfileType{
}


@ObjectType()
@ArgsType() 
export class APAccountProfileUnion {

    @Field(type=> SummaryResponse, { nullable: true})
    SummaryResponse?:SummaryResponse;

    @Field(type=> StatusResponse, { nullable: true})
    StatusResponse?:StatusResponse;

    @Field(type=> APAccountProfileMessage, { nullable: true})
    APAccountProfileMessage?:APAccountProfileMessage
}
