import { ArgsType, createUnionType, Field, ObjectType } from '@nestjs/graphql';
import { Document, DocumentMessage } from './Document';
import { Document as DocumentType } from '../message/fisappmessagejsutility/interface/export';
import { SummaryResponse } from './DescendentDataServiceArgument.entity';
import { StatusResponse } from './StatusResponse';

export const thisClassName = "APReceiptDocumentDataService";

@ObjectType()
@ArgsType() 
export class APReceiptDocumentMessage extends DocumentMessage { 

  @Field(type => [APReceiptDocument]) 
  data?: APReceiptDocument[];

}
@ObjectType()
@ArgsType() 
export class APReceiptDocument extends Document implements DocumentType {
}

@ObjectType()
@ArgsType() 
export class APReceiptDocumentUnion {

    @Field(type=> SummaryResponse, { nullable: true})
    SummaryResponse?:SummaryResponse;

    @Field(type=> StatusResponse, { nullable: true})
    StatusResponse?:StatusResponse;

    @Field(type=> APReceiptDocumentMessage, { nullable: true})
    APReceiptDocumentMessage?:APReceiptDocumentMessage
}