import { ArgsType, Field, ObjectType } from '@nestjs/graphql';
import { AccountProfile, AccountProfileMessage } from './AccountProfile';
import { AccountProfile as AccountProfileType } from '../message/fisappmessagejsutility/interface/export';
import { SummaryResponse } from './DescendentDataServiceArgument.entity';
import { StatusResponse } from './StatusResponse';


export const thisClassName = "CMAccountProfileDataService";

@ObjectType()
@ArgsType() 
export class CMAccountProfileMessage extends AccountProfileMessage {

  @Field(type => [CMAccountProfile]) 
  data?: CMAccountProfile[];

}
@ObjectType()
@ArgsType() 
export class CMAccountProfile extends AccountProfile implements AccountProfileType  {
}

@ObjectType()
@ArgsType() 
export class CMAccountProfileUnion {

    @Field(type=> SummaryResponse, { nullable: true})
    SummaryResponse?:SummaryResponse;

    @Field(type=> StatusResponse, { nullable: true})
    StatusResponse?:StatusResponse;

    @Field(type=> CMAccountProfileMessage, { nullable: true})
    CMAccountProfileMessage?:CMAccountProfileMessage
}