import { ArgsType, Field, ObjectType } from '@nestjs/graphql';
import { IsIn,Validate,ValidateIf  } from 'class-validator'; 
import { CustomFilter } from './CustomFilter.validate';
import { CustomReturnFormatType } from './CustomReturnFormatType.validate';
import { SummaryResponse as SummaryResponseType } from '../message/fisappmessagejsutility/interface/export'

export const thisClassName = "CommonDataService"; 

@ObjectType()
@ArgsType() 
export abstract class CommonDataServiceArgument {

    public className?: string = thisClassName;

    @Field({ nullable: true })
    @Validate(CustomFilter)
    filter?: string; 

    @Field({ nullable: true })
    @Validate(CustomReturnFormatType)
    returnFormatType?: string;
}
@ObjectType()
@ArgsType() 
export abstract class CommonDataServiceMessage implements SummaryResponseType {

    @Field()
    className: string = thisClassName;

    @Field()
    filter: string;
      
  
    @Field()
    @ValidateIf(o => o.returnFormatType === '')
    @IsIn(['full','byBatchOf5','byBatchOf10','byRow'])
    returnFormatType: string;

    @Field({ nullable: true })
    returnSequenceTotal: number;
} 
  