import { ValidatorConstraint, ValidatorConstraintInterface, ValidationArguments } from 'class-validator';
import { DataServiceManager } from '../Manager.dataservice';

@ValidatorConstraint({ name: 'customFilter', async: false })
export class CustomFilter implements ValidatorConstraintInterface {

  static errorMessage;

  validate(text: string, args: ValidationArguments) {

    const currentDataService = DataServiceManager.classes[JSON.parse(JSON.stringify(args.object)).className]; 

    if (currentDataService) {
      if (text) {
        let key = [];
        let value = [];
        let semicolumn = text.split(";");
        let error = null;
        for (let i = 0; i < semicolumn.length; i++) {

          key[i] = semicolumn[i].split("=")[0];
          value[i] = semicolumn[i].split("=")[1];

          error = currentDataService.validate(semicolumn[i].split("=")[0], semicolumn[i].split("=")[1]);
          if (error>"") {
          
            CustomFilter.errorMessage = error;
            return false;
          }

        }


      }


      return true;
    }else{
      CustomFilter.errorMessage = "Server/Class not yet initialised";
      return false;
    }
  }

  defaultMessage(args: ValidationArguments) {
    // const  = JSON.parse(JSON.stringify(args.object)).filter;
    return "Filter: "+ CustomFilter.errorMessage;
  }
}